import { Command, flags } from '@oclif/command';
import { Lambda } from 'aws-sdk';
declare type IRuntime = "nodejs" | "nodejs4.3" | "nodejs6.10" | "nodejs8.10" | "java8" | "python2.7" | "python3.6" | "python3.7" | "dotnetcore1.0" | "dotnetcore2.0" | "dotnetcore2.1" | "nodejs4.3-edge" | "go1.x" | "ruby2.5" | "provided" | string;
declare type ISearchQuery = {
    Runtime?: IRuntime;
    name?: string;
};
declare class LambdaFunctionSearch extends Command {
    static description: string;
    private NextMarker;
    private amount;
    private client;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        runtime: flags.IOptionFlag<string | undefined>;
        region: flags.IOptionFlag<string | undefined>;
        profile: flags.IOptionFlag<string | undefined>;
        search: flags.IOptionFlag<string | undefined>;
        showAll: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    listAllFunctions(query?: ISearchQuery, functions?: Lambda.FunctionList): Promise<Lambda.FunctionList>;
    getAllRegionFuncs(query: ISearchQuery, props?: Lambda.ClientConfiguration): Promise<void[]>;
    run(): Promise<void | void[]>;
    worker(query: ISearchQuery, props?: Lambda.ClientConfiguration): Promise<void>;
}
export = LambdaFunctionSearch;
